Get sender fields for envelope
Given an envelopeId, this method returns the sender fields found in that envelope’s documents. After you retrieve the sender fields, use the DocumentGeneration::updateEnvelopeDocGenFormFields method to populate the fields.
If the specified envelope does not contain a document with sender fields, the method will return success (200) and an empty object ({}) in the response.
Next steps
Authentication
AuthorizationBearer
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
accountId
The external account number (int) or account ID Guid.
envelopeId
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Response
Successful response.
docGenFormFields
A list of docGenFormFields objects.
errorDetails
This object describes errors that occur. It is only valid for responses, and ignored in requests.
Errors
400
Bad Request Error